#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main() {
	vec4 color = texture2D(u_texture, v_texCoord);
	float grey = color.r * 0.299 + color.g * 0.587 + color.b * 0.114;	
	gl_FragColor = vec4(grey*0.43, grey*0.43, grey*0.43, color.a);
}