attribute vec4 a_position;					
attribute vec2 a_texCoord;							
attribute vec4 a_color;								

#ifdef GL_ES										
varying lowp vec4 v_fragmentColor;					
varying mediump vec2 v_texCoord;					
#else												
varying vec4 v_fragmentColor;						
varying vec2 v_texCoord;							
#endif												

void main()											
{													
	gl_Position = CC_MVPMatrix * a_position;		
	v_fragmentColor = a_color;						
	//v_texCoord = a_texCoord;
	v_texCoord.x = 0.3 * (1 + a_texCoord.x);
	v_texCoord.y = 0.3 * (1 + a_texCoord.y);
}													